Update settlement config
curl --request PATCH \
--url https://api.getsly.ai/v1/v1/settlement/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"x402_fee_percentage": 0.5,
"auto_settlement_enabled": true,
"holdback_percentage": 0.5,
"reserve_amount": "<string>"
}
'import requests
url = "https://api.getsly.ai/v1/v1/settlement/config"
payload = {
"x402_fee_percentage": 0.5,
"auto_settlement_enabled": True,
"holdback_percentage": 0.5,
"reserve_amount": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
x402_fee_percentage: 0.5,
auto_settlement_enabled: true,
holdback_percentage: 0.5,
reserve_amount: '<string>'
})
};
fetch('https://api.getsly.ai/v1/v1/settlement/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"x402_fee_percentage": 0.5,
"auto_settlement_enabled": true,
"holdback_percentage": 0.5,
"reserve_amount": "<string>"
}
}Settlement
Update settlement config
PATCH
/
v1
/
settlement
/
config
Update settlement config
Authorizations
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Body
application/json
Response
200 - application/json
Updated
Show child attributes
Show child attributes
⌘I